Atom suddenly doesn't launch on Ubuntu 14.04 LTS


#1

Hello,
I installed Atom on Ubuntu 14.04 LTS more than one year ago following instructions for Ubuntu and never had problems.
Suddenly it does not start anymore. I tried to launch it from Mate application panel and from terminal but it does not want to show up:

fangorn@SATELLITE-L50-A-161:~ $ atom
fangorn@SATELLITE-L50-A-161:~ $ 

fangorn@SATELLITE-L50-A-161:~ $ atom --safe -f
A JavaScript error occurred in the main process
Uncaught Exception:
Error: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by /usr/share/atom/resources/app.asar.unpacked/node_modules/nslog/build/Release/nslog.node)
    at process.module.(anonymous function) [as dlopen] (ELECTRON_ASAR.js:166:20)
    at Object.Module._extensions..node (module.js:671:18)
    at Object.module.(anonymous function) [as .node] (ELECTRON_ASAR.js:180:18)
    at Module.load (module.js:561:32)
    at tryModuleLoad (module.js:504:12)
    at Function.Module._load (module.js:496:3)
    at Module.require (module.js:586:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/usr/share/atom/resources/app.asar/node_modules/nslog/lib/nslog.js:5:11)
    at Object.<anonymous> (/usr/share/atom/resources/app.asar/node_modules/nslog/lib/nslog.js:15:4)

What do you think is happening? I would appreciate any help to solve this issue.


#2

I am on Ubuntu 16.04 LTS. Ubuntu 14.04 is past its sell by date. I would urge to soon install fresh Ubuntu 16.04 at least … possibly Ubuntu 18.04.

But as a short term fix search Ubuntu threads as here.

https://askubuntu.com/questions/575505/glibcxx-3-4-20-not-found-how-to-fix-this-error